• Wall_keeper Tests are broken ?

 

Hello everyone,

It seems there is an issue when launching Tests on Incinerator's Wall Keeper challenge (@kurosawa4434).

It fails straight away with this `runner` exception:

    Traceback (most recent call last):
 File "/home/site/checkio/runners/py32.py"
line 252
in echo_send_recv_json
   data_send = json.dumps(send)
 File "/usr/local/lib/python3.8/json/__init__.py"
line 231
in dumps
   return _default_encoder.encode(obj)
 File "/usr/local/lib/python3.8/json/encoder.py"
line 199
in encode
   chunks = self.iterencode(o
_one_shot=True)
 File "/usr/local/lib/python3.8/json/encoder.py"
line 257
in iterencode
   return _iterencode(o
0)
 File "/usr/local/lib/python3.8/json/encoder.py"
line 179
in default
   raise TypeError(f'Object of type {o.__class__.__name__} ',TypeError: Object of type int64 is not JSON serializable,,During handling of the above exception
another exception occurred:,,Traceback (most recent call last):
 File "/home/site/checkio/runners/py32.py"
line 486
in <module>
   run_data = echo_send_recv_json(globals()['do_' + run_data['do']](run_data))
 File "/home/site/checkio/runners/py32.py"
line 255
in echo_send_recv_json
   error = u'TypeError: {0} is wrong data type'.format(cgi.escape(str(type(result)))),AttributeError: module 'cgi' has no attribute 'escape',

Hoping it helps.

(@oduvan if you read me).